NewsService (gCube News Feed Portlet 1.6.2-SNAPSHOT API)
Date: 2014-04-01

org.gcube.portlets.user.newsfeed.client

## Interface NewsService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    NewsServiceImpl

      @RemoteServiceRelativePath(value="newsServlet")
      public interface NewsService
      extends com.google.gwt.user.client.rpc.RemoteService

  The client side stub for the RPC service.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.portal.databook.shared.Comment` | `comment(String feedid, String text, String feedOwnerId, boolean isAppFeed)`
    `boolean` | `deleteComment(String commentid, String feedid)`
    `boolean` | `deleteFeed(String feedid)`
    `org.gcube.portal.databook.shared.Comment` | `editComment(org.gcube.portal.databook.shared.Comment toEdit)`
    `ArrayList<org.gcube.portal.databook.shared.Comment>` | `getAllCommentsByFeed(String feedid)`
    `ArrayList<org.gcube.portal.databook.shared.Like>` | `getAllLikesByFeed(String feedid)`
    `ArrayList<EnhancedFeed>` | `getAllUpdateUserFeeds(int feedsNoPerCategory)`
    `MoreFeedsBean` | `getMoreFeeds(int from, int quantity)`
    `ArrayList<EnhancedFeed>` | `getOnlyConnectionsUserFeeds()`
    `ArrayList<EnhancedFeed>` | `getOnlyLikedFeeds()`
    `ArrayList<EnhancedFeed>` | `getOnlyMyUserFeeds()`
    `EnhancedFeed` | `getSingleFeed(String feedKey)`
    `UserSettings` | `getUserSettings()`
    `boolean` | `like(String feedid, String feedText, String feedOwnerId)`

- - ### Method Detail

    - #### getAllUpdateUserFeeds

          ArrayList<EnhancedFeed> getAllUpdateUserFeeds(int feedsNoPerCategory)

    - #### getOnlyConnectionsUserFeeds

          ArrayList<EnhancedFeed> getOnlyConnectionsUserFeeds()

    - #### getOnlyMyUserFeeds

          ArrayList<EnhancedFeed> getOnlyMyUserFeeds()

    - #### getOnlyLikedFeeds

          ArrayList<EnhancedFeed> getOnlyLikedFeeds()

    - #### getMoreFeeds

          MoreFeedsBean getMoreFeeds(int from,
                                   int quantity)

    - #### like

          boolean like(String feedid,
                     String feedText,
                     String feedOwnerId)

    - #### deleteComment

          boolean deleteComment(String commentid,
                              String feedid)

    - #### deleteFeed

          boolean deleteFeed(String feedid)

    - #### comment

          org.gcube.portal.databook.shared.Comment comment(String feedid,
                                                         String text,
                                                         String feedOwnerId,
                                                         boolean isAppFeed)

    - #### editComment

          org.gcube.portal.databook.shared.Comment editComment(org.gcube.portal.databook.shared.Comment toEdit)

    - #### getAllLikesByFeed

          ArrayList<org.gcube.portal.databook.shared.Like> getAllLikesByFeed(String feedid)

    - #### getAllCommentsByFeed

          ArrayList<org.gcube.portal.databook.shared.Comment> getAllCommentsByFeed(String feedid)

    - #### getUserSettings

          UserSettings getUserSettings()

    - #### getSingleFeed

          EnhancedFeed getSingleFeed(String feedKey)

Copyright © 2014. All Rights Reserved.